import request from '@/utils/request'

// 查询阀井目录中间列表
export function listValvewellRelation(query) {
  return request({
    url: '/gas/valvewellRelation/list',
    method: 'get',
    params: query
  })
}

// 查询阀井目录中间详细
export function getValvewellRelation(id) {
  return request({
    url: '/gas/valvewellRelation/' + id,
    method: 'get'
  })
}

// 新增阀井目录中间
export function addValvewellRelation(data) {
  return request({
    url: '/gas/valvewellRelation',
    method: 'post',
    data: data
  })
}

// 修改阀井目录中间
export function updateValvewellRelation(data) {
  return request({
    url: '/gas/valvewellRelation',
    method: 'put',
    data: data
  })
}

// 删除阀井目录中间
export function delValvewellRelation(id,jobNum) {
  return request({
    url: '/gas/valvewellRelation/' + id + '/' + jobNum,
    method: 'delete'
  })
}

// 查询我的阀井目录
export function myListValveWell(query) {
  return request({
    url: '/gas/valveWellPosition/myList',
    method: 'get',
    params: query
  })
}
